Update Account Crm Fields
Write properties to the connected CRM record for an account.
PATCH
/
v1
/
accounts
/
{account_id}
/
crm
Update Account Crm Fields
curl --request PATCH \
--url https://api.topo.io/v1/accounts/{account_id}/crm \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fields": [
{
"property": "<string>",
"value": "<string>"
}
]
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({fields: [{property: '<string>', value: '<string>'}]})
};
fetch('https://api.topo.io/v1/accounts/{account_id}/crm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/accounts/{account_id}/crm"
payload = { "fields": [
{
"property": "<string>",
"value": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"object_type": "<string>",
"crm_type": "<string>",
"crm_properties": [
"<string>"
],
"crm_property": "<string>",
"external_id": "<string>"
}Write properties to the connected CRM record for an account.
Requires the
crm:write scope on the API key.Authorizations
Bearer API key issued from Settings → Developers.
Path Parameters
ID of the account.
Body
application/json
Update Account Crm Fields payload
Response
200 - application/json
Successful Response
The CRM object type updated (contact or account).
The connected CRM provider type.
List of CRM properties that were updated.
Primary CRM property that was updated.
The external CRM record ID.
Was this page helpful?
⌘I
Update Account Crm Fields
curl --request PATCH \
--url https://api.topo.io/v1/accounts/{account_id}/crm \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fields": [
{
"property": "<string>",
"value": "<string>"
}
]
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({fields: [{property: '<string>', value: '<string>'}]})
};
fetch('https://api.topo.io/v1/accounts/{account_id}/crm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/accounts/{account_id}/crm"
payload = { "fields": [
{
"property": "<string>",
"value": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"object_type": "<string>",
"crm_type": "<string>",
"crm_properties": [
"<string>"
],
"crm_property": "<string>",
"external_id": "<string>"
}